
<!-- form_confirmation_options_partial -->

<div class="card">
  <div class="card-header">
    <h2>{{ _("Confirmation") }}</h2>
  </div>

  <div class="card-body">
    <ul class="ds-list-group">
      <li>
        {# i18n: Enable a checkbox at the end of the form that confirms the user via email that their answers have been sent #}
        <span>{{ _("Send an email to the user after they have answered the form") }}</span>
        {% set has_email_field = form.has_email_field() %}
        {% set send_confirmation = form.confirmation['send_email'] %}
        {% if viewer_role == "editor" %}
          <div class="btn-group btn-toggle">
            <button id="send_confirmation_true" {% if not has_email_field %}disabled{% endif %} class="send_confirmation btn btn-sm {% if send_confirmation %}btn-primary{% else %}btn-outline-secondary{% endif %}">
              {{ _("True") }}
            </button>
            <button id="send_confirmation_false" {% if not has_email_field %}disabled{% endif %} class="send_confirmation btn btn-sm {% if not send_confirmation %}btn-primary{% else %}btn-outline-secondary{% endif %}">
              {{ _("False") }}
            </button>
          </div>
        {% else %}
          <span>{% if form.sendConfirmation %}{{ _("Enabled") }}{% else %}{{ _("Disabled") }}{% endif %}</span>
        {% endif %}
      </li>
    </ul>
  </div>
</div>


<script>
$(".send_confirmation").on('click', function(evt) {
  $.ajax({
    url : "{{ url_for('form_bp.toggle_form_send_confirmation', form_id=form.id) }}",
    type: "POST",
    dataType: "json",
    beforeSend: function(xhr, settings) {
      if (!/^(GET|HEAD|OPTIONS|TRACE)$/i.test(settings.type)) {
        xhr.setRequestHeader("X-CSRFToken", csrftoken)
      }
    },
    success: function(data, textStatus, jqXHR)
    {
      if (data.send_email == true) {
        $('#send_confirmation_true').addClass('btn-primary')
                                    .removeClass('btn-outline-secondary');
        $('#send_confirmation_false').removeClass('btn-primary')
                                     .addClass('btn-outline-secondary');
      }
      else if (data.send_email == false) {
        $('#send_confirmation_true').removeClass('btn-primary')
                                    .addClass('btn-outline-secondary');
        $('#send_confirmation_false').addClass('btn-primary')
                                     .removeClass('btn-outline-secondary');
      }
    }
  });
});
</script>
